import request from '@/utils/request'

// 获取分区
export function getPartition(params) {
    return request({
        url: '/survey/partition/page',
        method: 'get',
        params
    })
}

// 删除分区
export function delPartition(params) {
    return request({
        url: '/survey/partition/' + params,
        method: 'delete'
    })
}

// 新增分区
export function addPartition(data) {
    return request({
        url: '/survey/partition',
        method: 'post',
        data
    })
}

// 修改分区
export function editorPartition(data) {
    return request({
        url: '/survey/partition',
        method: 'put',
        data
    })
}

// 缺陷定位，分页查询
export function getFlawLocation(params) {
    return request({
        url: '/survey/flawLocation/page',
        method: 'get',
        params
    })
}

// 地图缺陷明细数据
export function getFlawDetail(params) {
    return request({
        url: '/survey/flawLocation/flawDetail',
        method: 'get',
        params
    })
}


// 按管网评估情况统计
export function getReportCondision(params) {
    return request({
        url: '/survey/hiddenDangerAnalyse/getReportCondision',
        method: 'get',
        params
    })
}

// 隐患统计信息
export function getHiddenDangerCount(params) {
    return request({
        url: '/survey/hiddenDangerAnalyse/hiddenDangerCount',
        method: 'get',
        params
    })
}

// 监测点列表查询
export function getHiddenDangerAnalyse(params) {
    return request({
        url: '/survey/hiddenDangerAnalyse/list',
        method: 'get',
        params
    })
}


// 告警情况分页查询
export function getWarningPage(params) {
    return request({
        url: '/survey/hiddenDangerAnalyse/warningPage',
        method: 'get',
        params
    })
}

// 获取评估结果
export function getAsessmentConclusion(params) {
    return request({
        url: '/survey/assessmentConclusion',
        method: 'get',
        params
    })
}

// 获取改造工作量
export function getRemouldWorkload(params) {
    return request({
        url: '/survey/assessmentConclusion/remouldWorkload',
        method: 'get',
        params
    })
}

// 改造后评估结果
export function getRemouldConclusion(params) {
    return request({
        url: '/survey/assessmentConclusion/remouldConclusion',
        method: 'get',
        params
    })
}

export function getConnectivity(params) {
    return request({
        url: '/survey/connectivity/getConnectivity',
        method: 'get',
        params
    })
}

// 获取数据关联分析周边管网情况
export function getDetectzy(params) {
    return request({
        url: '/survey/dataRelevance/getDetectzy',
        method: 'get',
        params
    })
}

// 获取站点数据的指标
export function getSiteTargets(params) {
    return request({
        url: '/survey/dataRelevance/getDevicdIndex',
        method: 'get',
        params
    })
}

// 获取数据关联分析水质监测情况
export function getSiteMonitorInfo(data) {
    return request({
        url: '/survey/dataRelevance/monitorInfo',
        method: 'post',
        data
    })
}